import {Signature, ImpType} from '../core/Dispatcher.js'

declare module "./type" {
   interface NumbersReturn<Params> {
      isReal: Signature<Params, [number], true>
      isSquare: Signature<Params, [number], boolean>
   }
}

export const isReal: ImpType<'isReal', [number]> = a => true
export const isSquare: ImpType<'isSquare', [number]> = a => a >= 0
